IBM Support

IBM® AIX® Client Requirements

Technote (troubleshooting)


Problem(Abstract)

Hardware and Software Requirements for IBM Spectrum Protect™ AIX® Backup-Archive and API Client

Cause

Tip: The product now known as IBM Spectrum Protect™ was named IBM Tivoli® Storage Manager in releases earlier than Version 7.1.3. To learn more about the rebranding transition, see technote 1963634.

Overview of IBM Spectrum Protect™ Client and Server supported operating systems and platforms: http://www.ibm.com/support/docview.wss?uid=swg21243309
Overview of IBM Tivoli Storage Manager Client and Server supported operating systems and platforms: http://www.ibm.com/support/docview.wss?uid=swg21994042

Latest Client and Server downloads: http://www.ibm.com/support/docview.wss?uid=swg21239415


Resolving the problem

Hardware and Software Requirements


Version 8.1
Version 7.1



Version 8.1
Hardware
Operating System
Communication Protocol
System:
RS/6000 or System i or System p, or compatible hardware as supported by AIX

For IBM PowerHA® SystemMirror: One additional network adapter for each workstation.

Disk Space:
1.5 GB disk space is required to install the client

Memory:
No additional RAM is required.
  • AIX 7.1 or higher fix pack levels (64-bit kernel)
  • AIX 7.2 or higher fix pack levels (64-bit kernel)
One of the following:
  • TCP/IP, which comes standard with AIX
  • Shared Memory Protocol (with AIX server only)

Note:
The Web backup-archive client requires TCP/IP
File Systems
  • JFS
  • JFS2
  • JFS2 NFSv4
  • VxFS 6.1
  • IBM Spectrum Scale version 4.2.1 or higher fix pack levels
  • IBM Spectrum Scale version 4.2.2 or higher fix pack levels
  • IBM Spectrum Scale version 4.2.3 or higher fix pack levels
    (Beginning with v8.1.2)
Additional Software
  • The Java GUI and Web backup-archive client requires Java: JRE 7 or JRE 8
    Note: The Web client is supported when running in a Mozilla Firefox browser.
Other Notes
  • IBM Spectrum Scale SOBAR is supported.
    Note:
    • On IBM Spectrum Scale 4.2.3 you need at least 4.2.3.5 fix pack level.
    • Installation of IBM Spectrum Protect Backup-Archive client and IBM Spectrum Protect for Space Management client in the same (matching) release level is required
    • For IBM Spectrum Protect for Space Management client requirements see: http://www.ibm.com/support/docview.wss?uid=swg21248419



Version 7.1
Hardware
Operating System
Communication Protocol
System:
RS/6000 or System i or System p, or compatible hardware as supported by AIX

For IBM PowerHA® SystemMirror: One additional network adapter for each workstation.

Disk Space:
1.5 GB disk space is required to install the client, and all language packs.

Memory:
No additional RAM is required.
One of the following:
  • AIX 6.1
  • AIX 7.1
  • AIX 7.2 64-bit kernel
    (beginning with 7.1.4.4)
One of the following:
  • TCP/IP, which comes standard with AIX
  • Shared Memory Protocol (with AIX server only)

Note:
The Web backup-archive client requires TCP/IP
File Systems
Backup/Archive client supports the following filesystems:
  • JFS
  • JFS2
  • JFS2 NFSv4
  • VxFS 5.0
  • VxFS 6.0
  • GPFS 3.5.0 or higher fix pack levels
  • GPFS 4.1.0 or higher fix pack levels
    (Beginning with v7.1.1)
  • GPFS 4.1.1 or higher fix pack levels
    (Beginning with v7.1.3)
  • GPFS 4.2.0 or higher fix pack levels
    (Beginning with v7.1.4.4)
  • GPFS 4.2.1 or higher fix pack levels
    (Beginning with v7.1.6)
Additional Software
You can also search the IBM support portal for the files at: http://www.ibm.com/support/entry/myportal/support

  • Java GUI and Web backup-archive client require:
    • prior to 7.1.2.1:
      • Java GUI requires Java: JRE 7
      • The Web client requires the Java plugin that is included in JRE 7
    • beginning with 7.1.2.1:
      • Java GUI requires Java: JRE 7 or JRE 8
      • The Web client requires the Java plugin that is included in JRE 7 or JRE 8.
    Note: The client is supported when running in a Firefox browser with the required plugin.
Other Notes
  • GPFS SOBAR requires GPFS 3.5 TL 3 or higher.
    The IBM Spectrum Protect for Space Management client at the same (matching) release level as the backup archive client is also required.
  • As per APAR IT12256:
    GPFS 3.4.0.4 was supported with the TSM 7.1.0 client, but had to be withdrawn with TSM 7.1.1 because of technical reasons.
    Note: For IBM Spectrum Protect for Space Management client requirements see: http://www.ibm.com/support/docview.wss?uid=swg21248419





Version 6.4 is past End of Support (EOS). See the V6.4 Client:
Version 6.3 is past End of Support (EOS). See the V6.3 Client:
Version 6.2 is past End of Support (EOS). See the V6.2 Client: Version 6.1 is past End of Support (EOS). See the V6.1 Client: Version 5.5 is past End of Support (EOS). See the V5.5 Client:




Note:
  • The LAN-Free client also requires IBM Tivoli Storage Manager for Storage Area Networks (5608-SAN).
  • The NDMP client also requires IBM Tivoli Storage Manager Extended Edition (5608-ISX).
  • The HSM client also requires IBM Tivoli Storage Manager for Space Management (5608-HSM). Please see this page for the AIX HSM client requirements: http://www.ibm.com/support/docview.wss?uid=swg21248419



Client Components Offered

Administrative
Backup/Archive
HSM
API
Command Line Interface
Graphical User Interface
Command Line Interface
Web Browser Interface
Graphical User Interface
(until version 7.1.1)
Command Line Interface
Interface 
yes
yes
yes
yes
yes
yes
yes

Related information

Latest client downloads
Overview Spectrum Protect Operating Systems
Overview TSM Operating Systems
Featured Documents Spectrum Protect
Space Management (HSM) all requirements doc


Cross reference information
Segment Product Component Platform Version Edition
Storage Management Tivoli Storage Manager Extended Edition
Storage Management Tivoli Storage Manager for Space Management
Storage Management Tivoli Storage Manager for Storage Area Networks
Storage Management Tivoli Storage Manager Client

Document information

More support for: Tivoli Storage Manager
Client


Translate this page: